mscorlib 4.0.0.0 System.Object System.Collections.IStructuralComparable System.Collections.IStructuralEquatable System.IComparable System.ITuple To be added.

A tuple is a data structure that has a specific number and sequence of values. The class represents a 1-tuple, or singleton, which is a tuple that has a single component. A singleton is used comparatively rarely in application development.

You can instantiate a object by calling either the constructor or the static method. You can retrieve the value of the tuple's single component by using the read-only instance property.

Represents a 1-tuple, or singleton.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
- Method
  4.0.0.0
  System.Boolean ``

  The parameter is considered to be equal to the current instance under the following conditions:

  It is a object.

  Its single component is of the same type as the current instance.

  Its single component is equal to that of the current instance. Equality is determined by the default object equality comparer for each component.

  Returns a value that indicates whether the current object is equal to a specified object.

  true if the current instance is equal to the specified object; otherwise, false.

  The object to compare with this instance.
- Method
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for the current object.

  A 32-bit signed integer hash code.

- Property
  4.0.0.0
  T1 To be added.

  You can determine the type of the component in one of two ways:

  By calling the GetType method on the value that is returned by the property.

  By retrieving the object that represents the object, and retrieving the first element from the array that is returned by its method.

  The example illustrates both approaches.

  Gets the value of the object's single component.

- Method
  4.0.0.0
  System.Int32 `` ``

  Although this method can be called directly, it is most commonly called by collection sorting methods that include parameters to order the members of a collection. For example, it is called by the method and the method of a object that is instantiated by using the constructor.

  The method is intended for use in sorting operations. It should not be used when the primary purpose of a comparison is to determine whether two objects are equal. To determine whether two objects are equal, call the method.

  Compares the current object to a specified object by using a specified comparer, and returns an integer that indicates whether the current object is before, after, or in the same position as the specified object in the sort order.

  A signed integer that indicates the relative position of this instance and in the sort order, as shown in the following table.

  Value

  Description

  A negative integer

  This instance precedes .

  Zero

  This instance and have the same position in the sort order.

  A positive integer

  This instance follows .

  An object to compare with the current instance. An object that provides custom rules for comparison.
- Method
  4.0.0.0
  System.Boolean `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  The implementation is called only if is not null, and if it can be successfully cast (in C#) or converted (in Visual Basic) to a object whose single component is of the same type as the current instance. The method is passed the component of the current instance and the component of the object represented by the parameter.

  Returns a value that indicates whether the current object is equal to a specified object based on a specified comparison method.

  true if the current instance is equal to the specified object; otherwise, false.

  The object to compare with this instance. An object that defines the method to use to evaluate whether the two objects are equal.
- Method
  4.0.0.0
  System.Int32 ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  The method simply wraps a call to the object's implementation.

  The algorithm used to compute the hash code should return the same hash code for two objects that are considered to be equal.

  Calculates the hash code for the current object by using a specified computation method.

  A 32-bit signed integer hash code.

  An object whose method calculates the hash code of the current object.
- Method
  4.0.0.0
  System.Int32 ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  This method provides the implementation for the class. Although the method can be called directly, it is most commonly called by the default overloads of collection sorting methods, such as and , to order the members of a collection.

  The method is intended for use in sorting operations. It should not be used when the primary purpose of a comparison is to determine whether two objects are equal. To determine whether two objects are equal, call the method.

  The method uses the default object comparer.

  Compares the current object to a specified object, and returns an integer that indicates whether the current object is before, after, or in the same position as the specified object in the sort order.

  A signed integer that indicates the relative position of this instance and in the sort order, as shown in the following table.

  Value

  Description

  A negative integer

  This instance precedes .

  Zero

  This instance and have the same position in the sort order.

  A positive integer

  This instance follows .

  An object to compare with the current instance.
- Method
  4.0.0.0
  System.String To be added. To be added. To be added.
- Method
  4.0.0.0
  System.String

  The string returned by this method takes the form (Item1), where Item1 represents the value of the property. If the value of is null, it is represented as .

  Returns a string that represents the value of this instance.

  The string representation of this object.